/**
  *  \file completionhandler.h
  *  \brief Completion Handler for Request
  */
#ifndef COMPLETIONHANDLER_H_INCLUDED
#define COMPLETIONHANDLER_H_INCLUDED

/** Completion handler. This is used as a callback for
    \link Request Requests. \endlink */
class CompletionHandler {
 public:
    virtual ~CompletionHandler()
        { }

    virtual void handleCompletion() = 0;
};

#endif
