/**
  *  \file basicrequests.h
  *  \brief Basic Network Requests
  */
#ifndef BASICREQUESTS_H_INCLUDED
#define BASICREQUESTS_H_INCLUDED

#include "request.h"
#include "enumerator.h"

class Game;

void doDownloadFile(std::string url, Game& g, RequestConsumer& exec);
bool doDownloadFiles(const StringList& urls, Game& g, RequestConsumer& exec);
void doDownloadSpec(Game& sel, RequestConsumer& exec);
void doUploadTurns(Game& g, RequestConsumer& exec);
void doDownloadResults(Game& g, RequestConsumer& exec);

#endif
