/**
  *  \file encoding.h
  *  \brief Various en- and decoders
  */
#ifndef ENCODING_H_INCLUDED
#define ENCODING_H_INCLUDED

#include <string>

std::string encodeBase64(std::string input);
std::string decodeBase64(std::string input);

std::string encodeUrl(std::string input);
std::string decodeUrl(std::string input);

std::string encodeQP(std::string input);
std::string decodeQP(std::string input);

#endif
